Holger's Java API

## com.antelmann.net
Class ServerLogAnalyzer

    java.lang.Object
      com.antelmann.net.ServerLogAnalyzer

    public class ServerLogAnalyzer

extends Object

provides several methods to analyze a ServerLog

Author:
  Holger Antelmann

Constructor Summary
`ServerLogAnalyzer(ServerLog log)`

Method Summary
`String[]` `getGoogleSearchStrings()`
`Map<String,Integer>` `refererDomainCount(Filter<ServerLogEntry> filter)` returns a map with the key elements being Strings denoting the referer domain name and the mapped value (an Integer) denoting the count.
`Map<String,Integer>` `refererHostCount(Filter<ServerLogEntry> filter)` returns a map with the key elements being Strings denoting the referer host name and the mapped value (an Integer) denoting the count.
`void` `writeRefererDomainCount(File file)`
`void` `writeRefererHostCount(File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerLogAnalyzer

    public ServerLogAnalyzer(ServerLog log)

Method Detail

### getGoogleSearchStrings

    public String[] getGoogleSearchStrings()

### writeRefererHostCount

    public void writeRefererHostCount(File file)
                               throws IOException

  Throws:
    `IOException`

### refererHostCount

    public Map<String,Integer> refererHostCount(Filter<ServerLogEntry> filter)
                                         throws IOException

  returns a map with the key elements being Strings denoting the referer host name and the mapped value (an Integer) denoting the count.

  Throws:
    `IOException`

### writeRefererDomainCount

    public void writeRefererDomainCount(File file)
                                 throws IOException

  Throws:
    `IOException`

### refererDomainCount

    public Map<String,Integer> refererDomainCount(Filter<ServerLogEntry> filter)
                                           throws IOException

  returns a map with the key elements being Strings denoting the referer domain name and the mapped value (an Integer) denoting the count.

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads